upgradeneeded

Our volunteers haven't translated this article into 正體中文 (繁體) yet. Join us and help get the job done!

The upgradeneeded handler is executed when an attempt was made to open a database with a version number higher than its current version.

General info

Specification
IndexedDB
Interface
Event
Bubbles
No
Cancelable
No
Target
IDBRequest
Default Action
None

Properties

Property Type Description
target Read only EventTarget The request concerned by this event
type Read only DOMString The type of event.
bubbles Read only boolean Does the event normally bubble?
cancelable Read only boolean Is it possible to cancel the event?

Example

var req1 = indexedDB.open("addressbook", 999);
 
req1.onupgradeneeded = function( event ) {
  // time for a versionchange transaction
 
};

// which is equivalent to
req1.addEventListener("upgradeneeded", function( event ) {
  // time for a versionchange transaction
 
});

See also

Document Tags and Contributors

Contributors to this page: Sheppy, ethertank, louisremi
最近更新: Sheppy,